org.apache.ignite.internal.visor.query

## Class VisorQueryFetchFirstPageTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorQueryNextPageTaskArg,VisorEither<VisorQueryResult>>
    - - org.apache.ignite.internal.visor.query.VisorQueryFetchFirstPageTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorQueryNextPageTaskArg>,VisorEither<VisorQueryResult>>

    @GridInternal
    public class VisorQueryFetchFirstPageTask
    extends VisorOneNodeTask<VisorQueryNextPageTaskArg,VisorEither<VisorQueryResult>>

Task for check a query execution and receiving first page of query result.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryFetchFirstPageTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.query.VisorQueryFetchFirstPageTask.VisorQueryFetchFirstPageJob` `job(VisorQueryNextPageTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryFetchFirstPageTask

    public VisorQueryFetchFirstPageTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.query.VisorQueryFetchFirstPageTask.VisorQueryFetchFirstPageJob job(VisorQueryNextPageTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorQueryNextPageTaskArg,VisorEither<VisorQueryResult>,VisorEither<VisorQueryResult>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020